Subject: Re: bug#39865: 28.0.50; Emacs crash

From: Robert Pluim <[email-masked]>
Date: Fri, 13 Mar 2020 16:09:25 +0100

>>>>> On Fri, 13 Mar 2020 16:09:27 +0200, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Date: Fri, 13 Mar 2020 10:35:14 +0100
    >> Cc: [email-masked]
    >> 
    >> Eli, the patch as it stands is not suitable for pushing to emacs-27,
    >> since it breaks the macOS build, which doesnʼt have a
    >> gui_default_font_parameter function. As far as I can tell (and have
    >> tested :-) ), we can get away with a dummy one, since there is only
    >> one font backend on macOS.

    Eli> I'm okay with doing that.  However, ...

    >> If you agree, this is what the complete patch looks like:

    Eli> ... this is not how we introduce terminal-dependent methods.  We don't
    Eli> define different versions of gui_SOMETHING functions in each
    Eli> terminal-specific back-end.  Instead, we add a member to 'struct
    Eli> redisplay_interface', and then assign a different value to it in each
    Eli> back-end.  See how x_redisplay_interface, w32_redisplay_interface,
    Eli> etc. are defined in the respective *term.[cm] files, and how they are
    Eli> used via the FRAME_RIF macro.

OK, I can rework it using that.

Robert